raptor-config(1)

NAME
raptor-config - script to get information about the installed version of Raptor

SYNOPSIS
raptor-config [--prefix[=DIR]] [--libs] [--libtool-libs] [--cflags] [--version] [--version-decimal] [--help]

DESCRIPTION
raptor-config is a tool that is used to determine the compile and linker flags that should be used to compile and link programs that use the Raptor RDF parser library.

OPTIONS
raptor-config accepts the following options:

--version
    Print the currently installed version of raptor on the standard output.

--version-decimal
    Print the currently installed version of raptor as a decimal integer.

--libs
    Print the linker flags that are necessary to link a raptor program.

--libtool-libs
    Print the flags that are necessary to link a raptor program with libtool.

--cflags
    Print the compiler flags that are necessary to compile a raptor program.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that raptor was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

SEE ALSO
libraptor(3),

AUTHOR
Dave Beckett - http://purl.org/net/dajobe/ (http://purl.org/net/dajobe/)